Subject: Re: [RFC] Common library for Git GUIs

From: Abhijit Bhopatkar <[email-masked]>
Date: Wed, 18 Feb 2009 11:26:14 +0530

> Looking at the current situation with Git GUIs, I thought it might be useful
> to create a generic library that would make it easier to develop git guis
> (especially plugins to various tools) and to add a new features to many of
> them with less effort. What do you people think about such idea?
> 
I don't think lack of library is holding this back, all the
functionality is exposed through cli and i find it perfectly fine
interface. ( on teamgit side its lack of devtime :( thats holding it
back) On the other hand a generic Qt/Gtk lib to interface with cli's
would be nice.
In any event i do not plan to switch to a library. Mainly because there
is no value add (barring performance). And of-course, i already worked
so hard to interface with the cli :D.

> Unfortunately in current situation no gui really supports all I would need to
> get my colleagues at work to accept git (they are somewhat obsessed with
> plugin to Visual Studio and explorer and generally avoiding command line).
> I started working on VS plugin some time ago, but I feel like a bit more
> reuse would be in order.
BTW take a look at git extensions for windows, it should provide both,
win ui and VS plugin based on msysgit

> 
> The proposed library should contain:
> 
I think an effort to convert git into libgit+cli is already underway,
unless i missed something very obvious and you are talking about/for the
same effort.

Anyway,
Sorry folks no interest here.

BAIN